Page MenuHomePhabricator

[RISCV] Rename Zbs instructions to start with just 'b' instead of 'sb' to match 0.93 bitmanip spec.
ClosedPublic

Authored by craig.topper on Jan 13 2021, 11:23 PM.

Details

Summary

Also renamed Zbe instructions to resolve name conflict even though
that change is in the 0.94 draft.

Diff Detail

Event Timeline

craig.topper created this revision.Jan 13 2021, 11:23 PM
craig.topper requested review of this revision.Jan 13 2021, 11:23 PM
Herald added a project: Restricted Project. · View Herald TranscriptJan 13 2021, 11:23 PM
Herald added a subscriber: MaskRay. · View Herald Transcript
lenary resigned from this revision.Jan 14 2021, 9:21 AM

What are the implications of having the renamed Zbe instructions in what we'll advertise as 0.93?

What are the implications of having the renamed Zbe instructions in what we'll advertise as 0.93?

I'm not sure. It doesn't look like binutils implements Zbe instructions yet so there's no other precedent for handling this conflict.

This revision is now accepted and ready to land.Jan 22 2021, 6:48 AM
asb accepted this revision.Jan 22 2021, 9:10 AM

LGTM, going with the 0.94 deconflicted naming seems the only reasonable thing to do https://github.com/riscv/riscv-bitmanip/pull/102/commits/b962f8a04be570a93c3c4788425ee2e8a14e9c56

asb added inline comments.Jan 22 2021, 9:12 AM
llvm/lib/Target/RISCV/RISCVInstrInfoB.td
352

It might be worth adding a comment here and for the W variants just to document that these have been renamed to match the v0.94 due to the name conflict in 0.93.

Add comment for Zbe instructions having their 0.94 names.

This revision was landed with ongoing or failed builds.Jan 22 2021, 12:51 PM
This revision was automatically updated to reflect the committed changes.